For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
PricingJoin CommunityGet API Key
DocumentationAPI ReferenceChangelog
DocumentationAPI ReferenceChangelog
  • API Reference
      • GETGenerate auth token
  • Additional Resources
    • Try on Postman
LogoLogo
PricingJoin CommunityGet API Key
API ReferenceAuthentication

Generate auth token

GET
https://api.murf.ai/v1/auth/token
GET
/v1/auth/token
1from murf import Murf
2
3client = Murf()
4
5client.auth.generate_token(
6 api_key="api-key",
7)
1{
2 "expiryInEpochMillis": 1711929600000,
3 "token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c2VyQGV4YW1wbGUuY29tIiwiaWF0IjoxNjgyNjQwMDAwLCJleHAiOjE3MTE5Mjk2MDB9.4fG7X9vJq3ZxY2v8Q9WzL1aT5bN6cR0p"
4}
Generates an auth token for authenticating your requests
Was this page helpful?
Previous

List Destination Languages

Next
Built with

Headers

api-keystringRequired

Response

Ok
expiryInEpochMillislong

The timestamp at which the generated token will expire - in Unix time.

tokenstring

Errors

400
Bad Request Error
401
Unauthorized Error
503
Service Unavailable Error